apt 3.2.0 commandline package manager

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
pkgVersionMatch Class Reference

## Public Types
enum | MatchType { None = 0 , Version , Release , Origin , SourceVersion }

## Public Member Functions
bool | MatchVer (const char *A, std::string B, bool Prefix) APT_PURE
bool | FileMatch (pkgCache::PkgFileIterator File)
bool | FileMatch (pkgCache::RlsFileIterator const &File)
pkgCache::VerIterator | Find (pkgCache::PkgIterator Pkg)
bool | VersionMatches (pkgCache::VerIterator Ver)
| pkgVersionMatch (std::string Data, MatchType Type)

## Static Public Member Functions
static bool | ExpressionMatches (const char *pattern, const char *string)
static bool | ExpressionMatches (const std::string &pattern, const char *string)

## Public Attributes
enum pkgVersionMatch::MatchType | Type

The documentation for this class was generated from the following files:

- apt-pkg/versionmatch.h
- apt-pkg/versionmatch.cc